## org.eclipse.datatools.sqltools.debugger.model
Class SPDebugElement

    java.lang.Object
      PlatformObject
          org.eclipse.datatools.sqltools.debugger.model.SPDebugElement

Direct Known Subclasses:
  SPDebugTarget, SPStackFrame, SPThread, SPValue, SPVariable

public class SPDebugElement
extends PlatformObject

Super class for all debug model elements. With helper functions for firing events and handle exception, etc.

Author:
  Yang Liu
See Also:
  Serialized Form

Constructor Summary
`SPDebugElement(SPDebugTarget target)`

Method Summary
`void` `fireChangeEvent(int detail)` Fires a debug event marking the CHANGE of this element with the specifed detail code.
`void` `fireResumeEvent(int detail)` Fires a debug event marking the RESUME of this element with the associated detail.
`void` `fireSuspendEvent(int detail)` Fires a debug event marking the SUSPEND of this element with the associated detail.
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`IDebugTarget` `getDebugTarget()`
`ILaunch` `getLaunch()`
`java.lang.String` `getModelIdentifier()`
`SPDebugTarget` `getSPDebugTarget()`
`void` `notSupported()` Throws a new debug exception with a status code of `NOT_SUPPORTED`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPDebugElement

    public SPDebugElement(SPDebugTarget target)

Method Detail

### getModelIdentifier

    public java.lang.String getModelIdentifier()

### getDebugTarget

    public final IDebugTarget getDebugTarget()

### getSPDebugTarget

    public final SPDebugTarget getSPDebugTarget()

### getLaunch

    public ILaunch getLaunch()

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

### fireResumeEvent

    public void fireResumeEvent(int detail)

  Fires a debug event marking the RESUME of this element with the associated detail.

  Parameters:
    `detail` - The int detail of the event
  See Also:
    `org.eclipse.debug.core.DebugEvent`

### fireSuspendEvent

    public void fireSuspendEvent(int detail)

  Fires a debug event marking the SUSPEND of this element with the associated detail.

  Parameters:
    `detail` - The int detail of the event
  See Also:
    `org.eclipse.debug.core.DebugEvent`

### fireChangeEvent

    public void fireChangeEvent(int detail)

  Fires a debug event marking the CHANGE of this element with the specifed detail code.

  Parameters:
    `detail` - one of `STATE` or `CONTENT`

### notSupported

    public void notSupported()
                      throws DebugException

  Throws a new debug exception with a status code of `NOT_SUPPORTED`.

  Throws:
    `DebugException` - The exception with a status code of `NOT_SUPPORTED`.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.